Bug 1699447 - kube-scheduler-operator causing very frequent revision bumps triggered by "configmap/kube-scheduler-pod has changed"
Summary: kube-scheduler-operator causing very frequent revision bumps triggered by "co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.1.0
Assignee: ravig
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-12 18:12 UTC by Seth Jennings
Modified: 2019-06-04 10:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:40 UTC

Description Seth Jennings 2019-04-12 18:12:35 UTC
After the cluster is up for just a short time the number of revisions of the kube-scheduler is very high.  After 20m, we are near revision 100.

Comment 2 Seth Jennings 2019-04-12 18:16:03 UTC
Bug went in on https://github.com/openshift/cluster-kube-scheduler-operator/pull/72 about 21 hours ago

Comment 5 Weinan Liu 2019-04-23 07:34:00 UTC
(In reply to Seth Jennings from comment #2)
> Bug went in on
> https://github.com/openshift/cluster-kube-scheduler-operator/pull/72 about
> 21 hours ago

Hi Seth,
after 28h, there's no a lot of revisions of cm as below, is this good enough for pushing the bug to VERIFIED?

[nathan@dhcp-140-199 0422]$ oc get cm
NAME                     DATA      AGE
config                   1         28h
config-1                 1         28h
config-2                 1         28h
config-3                 1         28h
kube-scheduler-pod       3         28h
kube-scheduler-pod-1     3         28h
kube-scheduler-pod-2     3         28h
kube-scheduler-pod-3     3         28h
revision-status-1        2         28h
revision-status-2        2         28h
revision-status-3        2         28h
scheduler-kubeconfig     1         28h
scheduler-kubeconfig-1   1         28h
scheduler-kubeconfig-2   1         28h
scheduler-kubeconfig-3   1         28h
serviceaccount-ca        1         28h
serviceaccount-ca-1      1         28h
serviceaccount-ca-2      1         28h
serviceaccount-ca-3      1         28h

[nathan@dhcp-140-199 0422]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.1.0-0.nightly-2019-04-20-175514   True        False         22h       Cluster version is 4.1.0-0.nightly-2019-04-20-175514

Comment 6 Seth Jennings 2019-04-23 13:17:40 UTC
Yes, that is the expected result.

Comment 8 errata-xmlrpc 2019-06-04 10:47:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.